Skip to main content
`Ctrl`+`K`

# numpy.ma.minimum_fill_value

ma.minimum_fill_value(obj)

  Return the maximum value that can be represented by the dtype of an object.

  This function is useful for calculating a fill value suitable for taking the minimum of an array with a given dtype.

  Parameters:
    obj ndarray, dtype or scalar

      An object that can be queried for it’s numeric type.

  Returns:
    val scalar

      The maximum representable value.

  Raises:
    TypeError

      If obj isn’t a suitable numeric type.

  See also

  `maximum_fill_value`

    The inverse function.

  `set_fill_value`

    Set the filling value of a masked array.

  `MaskedArray.fill_value`

    Return current fill value.

  Examples

      >>> import numpy as np
      >>> import numpy.ma as ma
      >>> a = np.int8()
      >>> ma.minimum_fill_value(a)
      127
      >>> a = np.int32()
      >>> ma.minimum_fill_value(a)
      2147483647

  An array of numeric data can also be passed.

      >>> a = np.array([1, 2, 3], dtype=np.int8)
      >>> ma.minimum_fill_value(a)
      127
      >>> a = np.array([1, 2, 3], dtype=np.float32)
      >>> ma.minimum_fill_value(a)
      inf